
import '../base/base_model.dart';

class User extends BaseModel {
  final int id;
  final String username;
  final String? name;
  final String? email;
  final String? phone;

  User({required this.id, required this.username, this.name, this.email, this.phone,});

  factory User.fromJson(Map<String, dynamic> json) {
    return User(
      id: json['id'],
      username: json['username'],
      name: json['name'],
      email: json['email'],
      phone: json['phone'],
    );
  }
}